controllers:
    resource:
        path: ../src/Controller/
        namespace: App\Controller
    type: attribute

app_cours:
    path: /cours
    controller: App\Controller\CoursController::index

app_cours_lister:
    path: /resp/cours/lister
    controller: App\Controller\CoursController::listerCours

app_admin_cours_lister:
    path: /admin/cours/lister
    controller: App\Controller\CoursController::listerAdminCours

app_cours_consulter:
    path: /resp/cours/consulter/{id}
    controller: App\Controller\CoursController::consulterCours

app_admin_cours_consulter:
    path: /admin/cours/consulter/{id}
    controller: App\Controller\CoursController::consulterAdminCours

app_cours_ajouter:
    path: /admin/cours/ajouter
    controller: App\Controller\CoursController::ajouterCours

app_cours_supprimer:
    path: /admin/cours/supprimer/{id}
    controller: App\Controller\CoursController::supprimerCours

app_cours_modifier:
    path: /admin/cours/modifier/{id}
    controller: App\Controller\CoursController::modifierCours

app_eleve_lister:
    path: /admin/eleve/lister
    controller: App\Controller\EleveController::listerEleves

app_eleve_consulter:
    path: /resp/eleve/consulter/{id}
    controller: App\Controller\EleveController::consulterEleve

app_admin_eleve_consulter:
    path: /admin/eleve/consulter/{id}
    controller: App\Controller\EleveController::consulterAdminEleve


app_eleve_supprimer:
    path: /admin/eleve/supprimer/{id}
    controller: App\Controller\EleveController::supprimerEleve

app_eleve_ajouter:
    path: /admin/eleve/ajouter
    controller: App\Controller\EleveController::ajouterEleve

app_eleve_modifier:
    path: /admin/eleve/modifier/{id}
    controller: App\Controller\EleveController::modifierEleve

app_instrument_lister:
    path: /resp/instrument/lister
    controller: App\Controller\InstrumentController::listerInstrument

app_admin_instrument_lister:
    path: /admin/instrument/lister
    controller: App\Controller\InstrumentController::listerAdminInstrument

app_instrument_consulter:
    path: /resp/instrument/consulter/{id}
    controller: App\Controller\InstrumentController::consulterInstrument


app_admin_instrument_consulter:
    path: /admin/instrument/consulter/{id}
    controller: App\Controller\InstrumentController::consulterAdminInstrument

app_logout:
    path:
        en: /logout
        fr: /deconnexion
    methods: GET